Apêndice A. Gestão do seu sistema etch

Índice

A.1. Actualizar o seu sistema etch
A.2. Verificar a sua lista de fontes

Este apêndice contém informação sobre como ter a certeza que pode instalar e actualizar os pacotes da etch antes que actualize para a lenny. Deverá ser apenas necessário em situações específicas.

A.1. Actualizar o seu sistema etch

Basicamente não é diferente de qualquer outra actualização da etch que tem vindo a fazer. A única diferença é que primeiro necessita de se certificar que a sua lista de pacotes ainda contém referências à etch como explicado em Secção A.2, “Verificar a sua lista de fontes”.

Se actualizar o seu sistema utilizando um mirror Debian, será automaticamente actualizado para a última versão da etch.

A.2. Verificar a sua lista de fontes

Se alguma das linhas do seu /etc/apt/sources.list se refere a 'stable', está efectivamente a “utilizar” a lenny. Se já correu apt-get update, pode ainda voltar atrás sem problemas seguindo o procedimento abaixo indicado.

Se já instalou pacotes da lenny, então provavelmente já não fará muito sentido a instalação de pacotes da etch. Neste caso terá que decidir se quer continuar ou não. É possível baixar de versão nos pacotes, mas este aspecto não é coberto aqui.

Abra o ficheiro /etc/apt/sources.list com seu editor favorito (como root) e verifique todas as linhas que iniciam por deb http: ou deb ftp: que referenciem a “stable”. Se encontrar alguma altere stable para etch.

Se tiver quaisquer linhas que comecem por deb file:, terá que verificar se o local para onde se referem contém um arquivo etch ou lenny.

[Importante]Importante

Não altere nenhuma linha que comece por deb cdrom:. Ao fazê-lo pode invalidar a linha e terá que correr o apt-cdrom de novo. Não se alarme se uma linha da fonte 'cdrom' refere “unstable”. Apesar de confuso, é normal.

Se efectuar algumas alterações, grave o ficheiro e execute

# apt-get update

para refrescar a lista de pacotes.